<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['oper'])){
	$acction=$_POST['oper'];
	$codigo=$_POST['id']; 
	
//$cod_asigxgrupo = $_POST['txt_cod_asigxgrupo'];
	$cdasi = $_POST['codmateria'];
//	$cod_grupo = $_POST['txt_cod_grupo'];

	$cdprofesor = $_POST['txtprofesor'];
	$ihs = $_POST['txtihs'];
	$numevaluaciones = (int)$_POST['txtnum_evaluaciones'];
	$fechaini = $_POST['txtfecha_inicio'];
	$fechafin = $_POST['txtfecha_fin'];
	$reportar = $_POST['reportar'];
	$cdtipoeva = $_POST['txttipo_evaluacion'];
	$idescala = (!isset($_POST['txtid_escalas'])) ? $_POST["auxidescalas"] : $_POST['txtid_escalas'];
	
	$dtsSaberes=$_POST['dtsporper'];
	$cadhoras=trim($_POST["cadhoras"]);
	$cadPorPeriodos=trim($_POST["cadPorcentage"]);

	
#	var_dump($dtsSaberes);
#	exit();

	$cadporsab="";
	if(!empty($dtsSaberes)){
		$periodos=array_keys($dtsSaberes);
		for($j=1;$j<=$numevaluaciones;$j++){
			$dtsSab=$dtsSaberes[$j];
			if(!empty($dtsSab)){
				foreach($dtsSab as $dt){
					$cadporsab.=$dt["cd"].":".$dt["v"].":".$dt["ac"].">";
				}
			}
			$cadporsab.="|";
		}
	}
	
	if(empty($cadhoras)){
		for($i=0;$i<$numevaluaciones;$i++)
			$cadhoras.="16|";
	}
		
	switch($acction){
		case 'del':
			$sql="DELETE FROM aca_asignaturasxgrupos WHERE cod_asigxgrupo = '$codigo';";
			
		break;
		case 'edit';
	//		$es=empty($idescala) ? '' : ", id_escala= '$idescala' ";
			$sql="CALL SPTR_UPDATE_ACA_ASIGNATURASXGRUPOS('$codigo','$cdprofesor','$ihs','$numevaluaciones','$fechaini','$fechafin','$reportar','$cdtipoeva','$idescala','$cadhoras','$cadporsab','$cadPorPeriodos')";
			
			
//CALL SPTR_UPDATE_ACA_ASIGNATURASXGRUPOS(37,18,5,4,'2013-02-10','2013-10-30',1,1,1,'30|40|50|60',
//'46:25:edit>47:25:edit>48:25:edit>49:25:edit> 
//|50:20:edit>51:20:edit>52:20:edit>6:20:new>7:20:new>
//|53:33:edit>54:33:edit>55:34:edit>|56::del>57:50:edit>58:50:edit>|')

//			"UPDATE aca_asignaturasxgrupos SET  cod_profesor = '$cdprofesor', ihs = '$ihs', num_evaluaciones = '$numevaluaciones', fecha_inicio = '$fechaini', fecha_fin = '$fechafin', rep_fuera_fecha = '$reportar', cod_tipo_evaluacion = '$cdtipoeva' $es WHERE cod_asigxgrupo = '$codigo'";

		break; 
		case 'new':
			$sql="CALL SPTR_NEW_ACA_ASIGNATURASXGRUPOS('$cdasi', '$codigo', '$cdprofesor', '$ihs', '$numevaluaciones', '$fechaini', '$fechafin', '$reportar', '$cdtipoeva', '$idescala','$cadhoras','$cadporsab','$cadPorPeriodos')";
			//INSERT INTO aca_asignaturasxgrupos (cod_asi, cod_grupo, cod_profesor, ihs, num_evaluaciones, fecha_inicio, fecha_fin, rep_fuera_fecha, cod_tipo_evaluacion, id_escala) VALUES ('$cdasi', '$codigo', '$cdprofesor', '$ihs', '$numevaluaciones', '$fechaini', '$fechafin', '$reportar', '$cdtipoeva', '$idescala')";
		//echo $sql;	
                
/*
'horas_programadas|horas_programadas|horas_programadas|horas_programadas',

'cod_saber:por_saber_asigxgru:accion>cod_saber:por_saber_asigxgru:accion>cod_saber:por_saber_asigxgru:accion>cod_saber:por_saber_asigxgru:accion>
|cod_saber:por_saber_asigxgru:accion|cod_saber:por_saber_asigxgru:accion
|cod_saber:por_saber_asigxgru:accion'

*/	
		
		break;
		default:
			$sql="";
	}

	if($sql!=''){
		//echo $sql;
		$academia->instruccion($sql);
		
		if($acction=='new'){
			$r=$academia->extraer_registro();
			$rta=array('error'=>$academia->extraer_error(),'id'=>$r["codFinalReg"],'acc'=>$_POST['oper'],'asig'=>$cdasi);
		}else{
			$rta=array('error'=>$academia->extraer_error(),'id'=>$codigo,'acc'=>$_POST['oper'],'asig'=>$cdasi);
		}
		$rta["sql"]=$sql;
		echo json_encode($rta);
		
	}		
}
$academia->cerrar();
?>